Reading the documentation for doing a migration from IDM 4.0.2 to IDM
4.5.3 in a test environment, I will follow the next steps:

- eDir intallation + patches. eDir replica (Server 1)
- iManager installation + patches (Server 1)
- IDM installation + patches (Server 1)
- Designer upgrade to 4.5.3
- User Application migration
a) create new project and import UA driver with Designer 4.5.3
b) upgrade User Application Base Package
- Role Services driver creation
- Deploy UA and RS drivers
- Identity Applications installation (Server 2)
- Add new server (Server 1) to DriverSet
- configure and update other drivers
a) change server information for each driver.
b) update drivers in the package format
- remove old server from DriverSet

I'm a bit confused with the step 5-7.

- why the UA and RS driver migration at this point and not in step 10
with the other drivers?. Is the UA and RS driver migration necessary
for the Identity Applications installation??. With the deploy in step
7 we have two 4.5.3 drivers in a 4.0.2 environment?? Will the old User
Application work with this upgraded driver?
- step 5.b) should be upgrade the User Application Base package to
the latest version?
we have the 2.2.0 version, and 2.3.0, 4.5.0 and 4.5.1 available
to upgrade. We can only update from 2.2.0 to 2.2.3 version, if we try
any update to 4.5.0 or 4.5.1 this warning appears: 'the effective IDM
version of 4.0.2 for the installation target is outside the bounds
specified by the package minimun 4.5, maximum not specified. Do you
want to continue?'

Should I continue upgrading to version 4.5.0/4.5.1 here? or stay in
2.3.0 version and upgrade this package in step 10??

Thanks in advance

angelab's Profile: https://forums.netiq.com/member.php?userid=9189
View this thread: https://forums.netiq.com/showthread.php?t=55767